jlec        14/05/21 06:38:17

  Modified:             ChangeLog distcc-3.2_rc1.ebuild
                        distcc-3.1-r9.ebuild
  Log:
  sys-devel/distcc: Bump to new python eclasses and bump to EAPI=5
  
  (Portage version: 2.2.10/cvs/Linux x86_64, signed Manifest commit with key 
B9D4F231BD1558AB!)

Revision  Changes    Path
1.236                sys-devel/distcc/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/distcc/ChangeLog?rev=1.236&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/distcc/ChangeLog?rev=1.236&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/distcc/ChangeLog?r1=1.235&r2=1.236

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-devel/distcc/ChangeLog,v
retrieving revision 1.235
retrieving revision 1.236
diff -u -r1.235 -r1.236
--- ChangeLog   16 May 2014 19:53:04 -0000      1.235
+++ ChangeLog   21 May 2014 06:38:17 -0000      1.236
@@ -1,6 +1,10 @@
 # ChangeLog for sys-devel/distcc
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/distcc/ChangeLog,v 1.235 
2014/05/16 19:53:04 jer Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/distcc/ChangeLog,v 1.236 
2014/05/21 06:38:17 jlec Exp $
+
+  21 May 2014; Justin Lecher <[email protected]> distcc-3.1-r9.ebuild,
+  distcc-3.2_rc1.ebuild:
+  Bump to new python eclasses and bump to EAPI=5
 
   16 May 2014; Jeroen Roovers <[email protected]> distcc-3.0-r4.ebuild,
   distcc-3.1-r5.ebuild, distcc-3.1-r6.ebuild, distcc-3.1-r7.ebuild,



1.8                  sys-devel/distcc/distcc-3.2_rc1.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/distcc/distcc-3.2_rc1.ebuild?rev=1.8&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/distcc/distcc-3.2_rc1.ebuild?rev=1.8&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/distcc/distcc-3.2_rc1.ebuild?r1=1.7&r2=1.8

Index: distcc-3.2_rc1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-devel/distcc/distcc-3.2_rc1.ebuild,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -r1.7 -r1.8
--- distcc-3.2_rc1.ebuild       19 Jan 2014 01:53:44 -0000      1.7
+++ distcc-3.2_rc1.ebuild       21 May 2014 06:38:17 -0000      1.8
@@ -1,14 +1,15 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/distcc/distcc-3.2_rc1.ebuild,v 
1.7 2014/01/19 01:53:44 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/distcc/distcc-3.2_rc1.ebuild,v 
1.8 2014/05/21 06:38:17 jlec Exp $
 
-EAPI="3"
-PYTHON_DEPEND="2:2.5"
+EAPI=5
 
-inherit autotools eutils fdo-mime flag-o-matic multilib python systemd 
toolchain-funcs user
+PYTHON_COMPAT=( python2_7 )
+
+inherit autotools eutils fdo-mime flag-o-matic multilib python-single-r1 
systemd toolchain-funcs user
 
 MY_P="${P/_}"
-DESCRIPTION="a program to distribute compilation of C code across several 
machines on a network"
+DESCRIPTION="Distribute compilation of C code across several machines on a 
network"
 HOMEPAGE="http://distcc.org/";
 SRC_URI="http://distcc.googlecode.com/files/${MY_P}.tar.bz2";
 
@@ -19,7 +20,8 @@
 
 RESTRICT="test"
 
-RDEPEND="dev-libs/popt
+RDEPEND="
+       dev-libs/popt
        avahi? ( >=net-dns/avahi-0.6[dbus] )
        gnome? (
                >=gnome-base/libgnome-2
@@ -40,11 +42,11 @@
 S="${WORKDIR}/${MY_P}"
 
 DCCC_PATH="/usr/$(get_libdir)/distcc/bin"
+DISTCC_VERBOSE="0"
 
 pkg_setup() {
        enewuser distcc 240 -1 -1 daemon
-       python_set_active_version 2
-       python_pkg_setup
+       python-single-r1_pkg_setup
 }
 
 src_prepare() {
@@ -61,10 +63,9 @@
        # Bugs #120001, #167844 and probably more. See patch for description.
        use hardened && epatch "${FILESDIR}/distcc-hardened.patch"
 
-       python_convert_shebangs -r $(python_get_version) .
        sed -i \
                -e "/PATH/s:\$distcc_location:${EPREFIX}${DCCC_PATH}:" \
-               -e "s:@PYTHON@:${EPREFIX}$(PYTHON -a):" \
+               -e "s:@PYTHON@:${EPYTHON}:" \
                pump.in || die "sed failed"
 
        sed \
@@ -77,7 +78,7 @@
 }
 
 src_configure() {
-       local myconf="--disable-Werror"
+       local myconf="--disable-Werror --with-docdir=/usr/share/doc/${PF}"
        # More legacy stuff?
        [ "$(gcc-major-version)" = "2" ] && filter-lfs-flags
 
@@ -89,16 +90,15 @@
                $(use_with gtk) \
                $(use_with gnome) \
                $(use_with gssapi auth) \
-               --with-docdir="${EPREFIX}/usr/share/doc/${PF}" \
-               ${myconf} || die "econf failed"
+               ${myconf}
 }
 
 src_install() {
-       emake DESTDIR="${D}" install || die
+       default
 
-       dobin "${FILESDIR}/3.0/distcc-config" || die
+       dobin "${FILESDIR}/3.0/distcc-config"
 
-       newinitd "${FILESDIR}/3.1/init" distccd || die
+       newinitd "${FILESDIR}/3.1/init" distccd
        systemd_dounit "${FILESDIR}/distccd.service"
        systemd_install_serviced "${FILESDIR}/distccd.service.conf"
 



1.10                 sys-devel/distcc/distcc-3.1-r9.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/distcc/distcc-3.1-r9.ebuild?rev=1.10&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/distcc/distcc-3.1-r9.ebuild?rev=1.10&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-devel/distcc/distcc-3.1-r9.ebuild?r1=1.9&r2=1.10

Index: distcc-3.1-r9.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-devel/distcc/distcc-3.1-r9.ebuild,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- distcc-3.1-r9.ebuild        16 May 2014 19:53:04 -0000      1.9
+++ distcc-3.1-r9.ebuild        21 May 2014 06:38:17 -0000      1.10
@@ -1,12 +1,12 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/distcc/distcc-3.1-r9.ebuild,v 1.9 
2014/05/16 19:53:04 jer Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/distcc/distcc-3.1-r9.ebuild,v 
1.10 2014/05/21 06:38:17 jlec Exp $
 
 EAPI=5
 
 PYTHON_COMPAT=( python{2_6,2_7} )
 
-inherit eutils fdo-mime flag-o-matic multilib python-single-r1 toolchain-funcs 
user systemd
+inherit eutils fdo-mime flag-o-matic multilib python-single-r1 systemd 
toolchain-funcs user
 
 DESCRIPTION="Distribute compilation of C code across several machines on a 
network"
 HOMEPAGE="http://distcc.org/";
@@ -82,7 +82,7 @@
        systemd_dounit "${FILESDIR}/distccd.service"
        systemd_install_serviced "${FILESDIR}/distccd.service.conf"
 
-       cp "${FILESDIR}/3.1/conf" "${T}/distccd"
+       cp "${FILESDIR}/3.1/conf" "${T}/distccd" || die
        if use avahi; then
                cat >> "${T}/distccd" <<-EOF
 
@@ -118,7 +118,7 @@
        if use gtk; then
                einfo "Renaming /usr/bin/distccmon-gnome to 
/usr/bin/distccmon-gui"
                einfo "This is to have a little sensability in naming schemes 
between distccmon programs"
-               mv "${D}/usr/bin/distccmon-gnome" "${D}/usr/bin/distccmon-gui" 
|| die
+               mv "${ED}/usr/bin/distccmon-gnome" 
"${ED}/usr/bin/distccmon-gui" || die
                dosym distccmon-gui /usr/bin/distccmon-gnome
        fi
 




Reply via email to